import request from '@/utils/request'

// 查询试用期考评列表
export function listScore(query) {
  return request({
    url: '/clocking/score/list',
    method: 'get',
    params: query
  })
}

// 查询试用期考评详细
export function getScore(id) {
  return request({
    url: '/clocking/score/' + id,
    method: 'get'
  })
}

// 新增试用期考评
export function addScore(data) {
  return request({
    url: '/clocking/score',
    method: 'post',
    data: data
  })
}

// 修改试用期考评
export function updateScore(data) {
  return request({
    url: '/clocking/score',
    method: 'put',
    data: data
  })
}

// 删除试用期考评
export function delScore(id) {
  return request({
    url: '/clocking/score/' + id,
    method: 'delete'
  })
}

// 导出试用期考评
export function exportScore(query) {
  return request({
    url: '/clocking/score/export',
    method: 'get',
    params: query
  })
}